<!--The content below is only a placeholder and can be replaced.-->
<div style="text-align:center">
  <h1>
    Welcome to {{ title }}!
  </h1>


  <button [routerLink]="link1">Link 1</button>
  <button [routerLink]="link2">Link 2</button>


  <a [routerLink]="[{ outlets: { sidebar: ['chat'] } }]">
    Products
  </a>

</div>

<div>
  I am outlet-a
  <router-outlet name="outlet-a"></router-outlet>
</div>
<div>
  I am outlet-b
  <router-outlet name="outlet-b"></router-outlet>
</div>
<div>
  I am outlet-c
  <router-outlet name="outlet-c"></router-outlet>
</div>

<div>
  <div style="float:left">
    <router-outlet name="sidebar"></router-outlet>
  </div>
</div>